commit 9744113df4ca6535129bd3099cdd5997b0d6a213
Author: Katja Luther <k.luther@bgbm.org>
Date:   Mon May 7 11:35:32 2018 +0200

    adapt io wizards to  changes in properties and taxonnavigator

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/cdmlight/CdmLightExportWizardE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/cdmlight/CdmLightExportWizardE4.java
index f25e2f60c..dfb294d92 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/cdmlight/CdmLightExportWizardE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/cdmlight/CdmLightExportWizardE4.java
@@ -26,7 +26,7 @@ import org.eclipse.swt.widgets.Combo;
 import eu.etaxonomy.cdm.filter.TaxonNodeFilter;
 import eu.etaxonomy.cdm.io.cdmLight.CdmLightExportConfigurator;
 import eu.etaxonomy.cdm.model.taxon.Classification;
-import eu.etaxonomy.cdm.model.taxon.TaxonNode;
+import eu.etaxonomy.cdm.persistence.dto.TaxonNodeDto;
 import eu.etaxonomy.taxeditor.io.e4.out.AbstractExportWizardE4;
 import eu.etaxonomy.taxeditor.io.wizard.ExportToFileDestinationWizardPage;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
@@ -54,9 +54,9 @@ AbstractExportWizardE4<CdmLightExportConfigurator> {
     public void init() {
         configurator = new CdmLightExportConfigurator(null);
         if (selection instanceof TreeSelection && !selection.isEmpty()){
-            TaxonNode node = (TaxonNode)selection.getFirstElement();
-            if (node.getParent() == null){
-                configurator.setTaxonNodeFilter(TaxonNodeFilter.NewClassificationInstance(node.getClassification().getUuid()));
+            TaxonNodeDto node = (TaxonNodeDto)selection.getFirstElement();
+            if (node.getParentUUID() == null){
+                configurator.setTaxonNodeFilter(TaxonNodeFilter.NewClassificationInstance(node.getClassificationUUID()));
             }else{
                 configurator.setTaxonNodeFilter(TaxonNodeFilter.NewSubtreeInstance(node.getUuid()));
             }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/csv/print/CsvPrintExportWizardE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/csv/print/CsvPrintExportWizardE4.java
index 0b508a918..ea4817864 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/csv/print/CsvPrintExportWizardE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/csv/print/CsvPrintExportWizardE4.java
@@ -49,10 +49,9 @@ public class CsvPrintExportWizardE4 extends CsvNameExportWizardE4{
 		String urlString = page.getFolderText() + File.separator
 				+ page.getExportFileName();
 
-//	    configurator.setClassificationUUID(page.getSelectedClassificationUUID());
 	    configurator.setTaxonNodeFilter(TaxonNodeFilter.NewClassificationInstance(page.getSelectedClassificationUUID()));
 	    configurator.setResultType(ExportResultType.BYTE_ARRAY);
-		// create job
+
 	    CdmStore.getExportManager().runMoniteredOperation(configurator, urlString);
 		return true;
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/dwca/DarwinCoreArchiveExportWizardE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/dwca/DarwinCoreArchiveExportWizardE4.java
index 78ae1b44e..2c655d124 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/dwca/DarwinCoreArchiveExportWizardE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/out/dwca/DarwinCoreArchiveExportWizardE4.java
@@ -52,7 +52,7 @@ public class DarwinCoreArchiveExportWizardE4 extends
 		configurator = DwcaTaxExportConfigurator.NewInstance(null, null, null);
 		if (selection instanceof TreeSelection && !selection.isEmpty()){
 			Iterator it = selection.iterator();
-			
+
 			while(it.hasNext()){
 				Object obj = it.next();
 				if (obj instanceof TaxonNode){
@@ -69,7 +69,7 @@ public class DarwinCoreArchiveExportWizardE4 extends
 						}else{
 							configurator.getTaxonNodeFilter().orSubtree(node.getUuid());
 						}
-						
+
 					}
 				}
 			}
@@ -86,7 +86,7 @@ public class DarwinCoreArchiveExportWizardE4 extends
 	public boolean performFinish() {
 		String urlString = page.getFolderText() + File.separator
 				+ page.getExportFileName();
-		
+
 		if (!page.getCheckUseSelectedTaxonNode()){
 			configurator.getTaxonNodeFilter().reset();
 			if (!page.getCheckUseAllClassifications()){
@@ -95,11 +95,9 @@ public class DarwinCoreArchiveExportWizardE4 extends
 				for (UUID classificationUuid: page.getAllClassificationUuids()){
 					configurator.getTaxonNodeFilter().orClassification(classificationUuid);
 				}
-				
+
 			}
 		}
-		
-
 		CdmStore.getExportManager().runMoniteredOperation(configurator, urlString);
 		return true;
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
index 2a1474cb7..9134cdb70 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
@@ -39,7 +39,7 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 
 	public static final String PAGE_NAME = "AbcdImportConfiguratorWizardPage";
 
-	private Abcd206ImportConfigurator configurator;
+	private Abcd206ImportConfigurator abcdImportConfigurator;
 
 	private List<URI> biocaseProvider = new ArrayList<>();
 
@@ -49,14 +49,14 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 
 	protected AbcdImportConfiguratorWizardPage(String title, String description, Abcd206ImportConfigurator configurator) {
         super(PAGE_NAME);
-        this.configurator = configurator;
+        this.abcdImportConfigurator = configurator;
         setTitle(title);
         setDescription(description);
     }
 
 	protected AbcdImportConfiguratorWizardPage(String title, String description, Abcd206ImportConfigurator configurator, boolean isPreferencePage) {
 		super(PAGE_NAME);
-		this.configurator = configurator;
+		this.abcdImportConfigurator = configurator;
 		setTitle(title);
 		setDescription(description);
 		this.isPreferencePage = isPreferencePage;
@@ -86,31 +86,31 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 //        }
 
 		Button checkBoxMediaSpecimen = new Button(composite, SWT.CHECK);
-		checkBoxMediaSpecimen.setSelection(configurator.isAddMediaAsMediaSpecimen());
+		checkBoxMediaSpecimen.setSelection(abcdImportConfigurator.isAddMediaAsMediaSpecimen());
 		checkBoxMediaSpecimen.setText("Import media as media specimen");
 		checkBoxMediaSpecimen
 				.setToolTipText("Any media attached to a ABCD unit will be imported as a sub derivative of the specimen created from this unit");
 		checkBoxMediaSpecimen.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setAddMediaAsMediaSpecimen(!configurator.isAddMediaAsMediaSpecimen());
+				abcdImportConfigurator.setAddMediaAsMediaSpecimen(!abcdImportConfigurator.isAddMediaAsMediaSpecimen());
 			}
 		});
 
 		Button checkBoxIgnoreExisting = new Button(composite, SWT.CHECK);
-		checkBoxIgnoreExisting.setSelection(configurator.isIgnoreImportOfExistingSpecimen());
+		checkBoxIgnoreExisting.setSelection(abcdImportConfigurator.isIgnoreImportOfExistingSpecimen());
 		checkBoxIgnoreExisting.setText("Do not import existing specimens");
 		checkBoxIgnoreExisting
 		.setToolTipText("Specimens that have previously been imported will be ignored in this import");
 		checkBoxIgnoreExisting.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setIgnoreImportOfExistingSpecimen(!configurator.isIgnoreImportOfExistingSpecimen());
+				abcdImportConfigurator.setIgnoreImportOfExistingSpecimen(!abcdImportConfigurator.isIgnoreImportOfExistingSpecimen());
 			}
 		});
 
 		Button checkBoxIgnoreAuthorship = new Button(composite, SWT.CHECK);
-		checkBoxIgnoreAuthorship.setSelection(configurator.isIgnoreAuthorship());
+		checkBoxIgnoreAuthorship.setSelection(abcdImportConfigurator.isIgnoreAuthorship());
 		checkBoxIgnoreAuthorship.setText("Ignore Authorship for name matching");
 		checkBoxIgnoreAuthorship
 		.setToolTipText("Name matching with existing names will be done without "
@@ -118,12 +118,12 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 		checkBoxIgnoreAuthorship.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setIgnoreAuthorship(!configurator.isIgnoreAuthorship());
+				abcdImportConfigurator.setIgnoreAuthorship(!abcdImportConfigurator.isIgnoreAuthorship());
 			}
 		});
 
 		Button checkBoxMapUnitIdToCatalogNumber = new Button(composite, SWT.CHECK);
-		checkBoxMapUnitIdToCatalogNumber.setSelection(configurator.isMapUnitIdToCatalogNumber());
+		checkBoxMapUnitIdToCatalogNumber.setSelection(abcdImportConfigurator.isMapUnitIdToCatalogNumber());
 		checkBoxMapUnitIdToCatalogNumber.setText("Map UnitID to catalog number");
 		checkBoxMapUnitIdToCatalogNumber
 		.setToolTipText("The UnitID of every ABCD unit will be mapped the catalog number "
@@ -131,12 +131,12 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 		checkBoxMapUnitIdToCatalogNumber.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setMapUnitIdToCatalogNumber(!configurator.isMapUnitIdToCatalogNumber());
+				abcdImportConfigurator.setMapUnitIdToCatalogNumber(!abcdImportConfigurator.isMapUnitIdToCatalogNumber());
 			}
 		});
 //TODO: only one of the mappings can be checked!
 		Button checkBoxMapUnitIdToAccessionNumber = new Button(composite, SWT.CHECK);
-		checkBoxMapUnitIdToAccessionNumber.setSelection(configurator.isMapUnitIdToAccessionNumber());
+		checkBoxMapUnitIdToAccessionNumber.setSelection(abcdImportConfigurator.isMapUnitIdToAccessionNumber());
 		checkBoxMapUnitIdToAccessionNumber.setText("Map UnitID to accession number");
 		checkBoxMapUnitIdToAccessionNumber
 		.setToolTipText("The UnitID of every ABCD unit will be mapped the accession number "
@@ -144,12 +144,12 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 		checkBoxMapUnitIdToAccessionNumber.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setMapUnitIdToAccessionNumber(!configurator.isMapUnitIdToAccessionNumber());
+				abcdImportConfigurator.setMapUnitIdToAccessionNumber(!abcdImportConfigurator.isMapUnitIdToAccessionNumber());
 			}
 		});
 
 		Button checkBoxMapUnitIdToBarcode = new Button(composite, SWT.CHECK);
-		checkBoxMapUnitIdToBarcode.setSelection(configurator.isMapUnitIdToBarcode());
+		checkBoxMapUnitIdToBarcode.setSelection(abcdImportConfigurator.isMapUnitIdToBarcode());
 		checkBoxMapUnitIdToBarcode.setText("Map UnitID to barcode");
 		checkBoxMapUnitIdToBarcode
 		.setToolTipText("The UnitID of every ABCD unit will be mapped the barcode "
@@ -157,12 +157,12 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 		checkBoxMapUnitIdToBarcode.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setMapUnitIdToBarcode(!configurator.isMapUnitIdToBarcode());
+				abcdImportConfigurator.setMapUnitIdToBarcode(!abcdImportConfigurator.isMapUnitIdToBarcode());
 			}
 		});
 
 		Button checkBoxRemoveCountry = new Button(composite, SWT.CHECK);
-		checkBoxRemoveCountry.setSelection(configurator.isRemoveCountryFromLocalityText());
+		checkBoxRemoveCountry.setSelection(abcdImportConfigurator.isRemoveCountryFromLocalityText());
 		checkBoxRemoveCountry.setText("Remove country from locality text");
 		checkBoxRemoveCountry
 		.setToolTipText("If the locality text contains information about the "
@@ -171,12 +171,12 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 		checkBoxRemoveCountry.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setRemoveCountryFromLocalityText(!configurator.isRemoveCountryFromLocalityText());
+				abcdImportConfigurator.setRemoveCountryFromLocalityText(!abcdImportConfigurator.isRemoveCountryFromLocalityText());
 			}
 		});
 
 		Button checkBoxMoveToDefaultClassification = new Button(composite, SWT.CHECK);
-		checkBoxMoveToDefaultClassification.setSelection(configurator.isMoveNewTaxaToDefaultClassification());
+		checkBoxMoveToDefaultClassification.setSelection(abcdImportConfigurator.isMoveNewTaxaToDefaultClassification());
 		checkBoxMoveToDefaultClassification.setText("Create new classification for new taxa");
 		checkBoxMoveToDefaultClassification
 		.setToolTipText("For taxa that do not exist in the data base "
@@ -184,55 +184,55 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 		checkBoxMoveToDefaultClassification.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				configurator.setMoveNewTaxaToDefaultClassification(!configurator.isMoveNewTaxaToDefaultClassification());
+				abcdImportConfigurator.setMoveNewTaxaToDefaultClassification(!abcdImportConfigurator.isMoveNewTaxaToDefaultClassification());
 			}
 		});
 
 		Button checkBoxImportSiblings = new Button(composite, SWT.CHECK);
-		checkBoxImportSiblings.setSelection(configurator.isGetSiblings());
+		checkBoxImportSiblings.setSelection(abcdImportConfigurator.isGetSiblings());
 		checkBoxImportSiblings.setText("Import all children of cultures or tissue samples");
 		checkBoxImportSiblings
         	.setToolTipText("For a tissue sample or culture all children will be searched and imported");
 		checkBoxImportSiblings.addSelectionListener(new SelectionAdapter() {
             @Override
             public void widgetSelected(SelectionEvent e) {
-                configurator.setGetSiblings(checkBoxImportSiblings.getSelection());
+                abcdImportConfigurator.setGetSiblings(checkBoxImportSiblings.getSelection());
             }
         });
 
         Button checkBoxAddIndividualsAssociations = new Button(composite, SWT.CHECK);
-        checkBoxAddIndividualsAssociations.setSelection(configurator.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
+        checkBoxAddIndividualsAssociations.setSelection(abcdImportConfigurator.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
         checkBoxAddIndividualsAssociations.setText("Create an Individual Association for each Specimen");
         checkBoxAddIndividualsAssociations
         	.setToolTipText("For each specimen associated to a taxon an indiviadual association to this taxon is created");
         checkBoxAddIndividualsAssociations.addSelectionListener(new SelectionAdapter() {
             @Override
             public void widgetSelected(SelectionEvent e) {
-                configurator.setAddIndividualsAssociationsSuchAsSpecimenAndObservations(!configurator.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
+                abcdImportConfigurator.setAddIndividualsAssociationsSuchAsSpecimenAndObservations(!abcdImportConfigurator.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
             }
         });
 
         Button checkBoxReuseDescriptiveGroups = new Button(composite, SWT.CHECK);
-        checkBoxReuseDescriptiveGroups.setSelection(configurator.isReuseExistingDescriptiveGroups());
+        checkBoxReuseDescriptiveGroups.setSelection(abcdImportConfigurator.isReuseExistingDescriptiveGroups());
         checkBoxReuseDescriptiveGroups.setText("Reuse existing descriptive group");
         checkBoxReuseDescriptiveGroups
         	.setToolTipText("Reuse one of the existing descriptive groups or create a new one for every import");
         checkBoxReuseDescriptiveGroups.addSelectionListener(new SelectionAdapter() {
             @Override
             public void widgetSelected(SelectionEvent e) {
-                configurator.setReuseExistingDescriptiveGroups(!configurator.isReuseExistingDescriptiveGroups());
+                abcdImportConfigurator.setReuseExistingDescriptiveGroups(!abcdImportConfigurator.isReuseExistingDescriptiveGroups());
             }
         });
 
         Button checkBoxReuseExistingTaxa = new Button(composite, SWT.CHECK);
-        checkBoxReuseExistingTaxa.setSelection(configurator.isReuseExistingTaxaWhenPossible());
+        checkBoxReuseExistingTaxa.setSelection(abcdImportConfigurator.isReuseExistingTaxaWhenPossible());
         checkBoxReuseExistingTaxa.setText("Reuse existing taxa when possible");
         checkBoxReuseExistingTaxa
         	.setToolTipText("Reuse existing taxa when the name matches the identified name of the specimen");
         checkBoxReuseExistingTaxa.addSelectionListener(new SelectionAdapter() {
             @Override
             public void widgetSelected(SelectionEvent e) {
-                configurator.setReuseExistingDescriptiveGroups(!configurator.isReuseExistingDescriptiveGroups());
+                abcdImportConfigurator.setReuseExistingDescriptiveGroups(!abcdImportConfigurator.isReuseExistingDescriptiveGroups());
             }
         });
 
@@ -256,52 +256,52 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 
 	@Override
     public void widgetSelected(SelectionEvent e) {
-        this.configurator.setNomenclaturalCode(NomenclaturalCode.getByKey(nomenclaturalCodeSelectionCombo.getText()));
+        this.abcdImportConfigurator.setNomenclaturalCode(NomenclaturalCode.getByKey(nomenclaturalCodeSelectionCombo.getText()));
 
     }
 
 	 public void saveConfigToPrefernceStore() {
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_INDIVIDUALS_ASSOCIATIONS_SUCH_AS_SPECIMEN_AND_OBSERVATIONS,
-	                configurator.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
+	                abcdImportConfigurator.isAddIndividualsAssociationsSuchAsSpecimenAndObservations());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_MEDIA_AS_MEDIASPECIMEN,
-                    configurator.isAddMediaAsMediaSpecimen());
+                    abcdImportConfigurator.isAddMediaAsMediaSpecimen());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ALLOW_REUSE_OTHER_CLASSIFICATIONS,
-                    configurator.isAllowReuseOtherClassifications());
+                    abcdImportConfigurator.isAllowReuseOtherClassifications());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS,
-                    configurator.isDeduplicateClassifications());
+                    abcdImportConfigurator.isDeduplicateClassifications());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES,
-                    configurator.isDeduplicateReferences());
+                    abcdImportConfigurator.isDeduplicateReferences());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS,
-                    configurator.isGetSiblings());
+                    abcdImportConfigurator.isGetSiblings());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_AUTHORSHIP,
-                    configurator.isIgnoreAuthorship());
+                    abcdImportConfigurator.isIgnoreAuthorship());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_IMPORT_OF_EXISTING_SPECIMEN,
-                    configurator.isIgnoreImportOfExistingSpecimen());
+                    abcdImportConfigurator.isIgnoreImportOfExistingSpecimen());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_ACCESSION_NUMBER,
-                    configurator.isMapUnitIdToAccessionNumber());
+                    abcdImportConfigurator.isMapUnitIdToAccessionNumber());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_BARCODE,
-                    configurator.isMapUnitIdToBarcode());
+                    abcdImportConfigurator.isMapUnitIdToBarcode());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TOCATALOG_NUMBER,
-                    configurator.isMapUnitIdToCatalogNumber());
+                    abcdImportConfigurator.isMapUnitIdToCatalogNumber());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MOVE_NEW_TAXA_TO_DEFAULT_CLASSIFICATION,
-                    configurator.isMoveNewTaxaToDefaultClassification());
+                    abcdImportConfigurator.isMoveNewTaxaToDefaultClassification());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_OVERWRITE_EXISTING_SPECIMEN,
-                    configurator.isOverwriteExistingSpecimens());
+                    abcdImportConfigurator.isOverwriteExistingSpecimens());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_DESCRIPTIVE_GROUPS,
-                    configurator.isReuseExistingDescriptiveGroups());
+                    abcdImportConfigurator.isReuseExistingDescriptiveGroups());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_META_DATA,
-                    configurator.isReuseExistingMetaData());
+                    abcdImportConfigurator.isReuseExistingMetaData());
 	        PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_TAXA_WHEN_POSSIBLE,
-                    configurator.isReuseExistingTaxaWhenPossible());
-	        if ( configurator.getNomenclaturalCode() != null){
-	            PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_NOMENCLATURAL_CODE, configurator.getNomenclaturalCode().getKey());
+                    abcdImportConfigurator.isReuseExistingTaxaWhenPossible());
+	        if ( abcdImportConfigurator.getNomenclaturalCode() != null){
+	            PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_NOMENCLATURAL_CODE, abcdImportConfigurator.getNomenclaturalCode().getKey());
 	        }
 
 
 	    }
 
 	 public String createConfigString(){
-	    return configurator.toString();
+	    return abcdImportConfigurator.toString();
 
 	 }
 
@@ -317,4 +317,24 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
         // TODO Auto-generated method stub
 
     }
+
+    public void createAbcdImportConfig() {
+        this.abcdImportConfigurator.setAddIndividualsAssociationsSuchAsSpecimenAndObservations(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_INDIVIDUALS_ASSOCIATIONS_SUCH_AS_SPECIMEN_AND_OBSERVATIONS));
+        this.abcdImportConfigurator.setAddMediaAsMediaSpecimen(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_MEDIA_AS_MEDIASPECIMEN));
+        this.abcdImportConfigurator.setAllowReuseOtherClassifications(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ALLOW_REUSE_OTHER_CLASSIFICATIONS));
+        //this.abcdImportConfigurator.setClassificationUuid(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_CLASSIFICATION_UUID));
+        this.abcdImportConfigurator.setDeduplicateClassifications(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS));
+        this.abcdImportConfigurator.setDeduplicateReferences(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES));
+       // this.abcdImportConfigurator.setDefaultAuthor(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEFAULT_AUTHOR));
+        this.abcdImportConfigurator.setGetSiblings(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS));
+        this.abcdImportConfigurator.setIgnoreAuthorship(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_AUTHORSHIP));
+        this.abcdImportConfigurator.setIgnoreImportOfExistingSpecimen(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_IMPORT_OF_EXISTING_SPECIMEN));
+        this.abcdImportConfigurator.setMapUnitIdToAccessionNumber(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_ACCESSION_NUMBER));
+        this.abcdImportConfigurator.setMapUnitIdToBarcode(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_BARCODE));
+        this.abcdImportConfigurator.setMapUnitIdToCatalogNumber(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TOCATALOG_NUMBER));
+        this.abcdImportConfigurator.setMoveNewTaxaToDefaultClassification(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MOVE_NEW_TAXA_TO_DEFAULT_CLASSIFICATION));
+        this.abcdImportConfigurator.setReuseExistingDescriptiveGroups(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_DESCRIPTIVE_GROUPS));
+        this.abcdImportConfigurator.setReuseExistingTaxaWhenPossible(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_TAXA_WHEN_POSSIBLE));
+
+    }
 }