commit 5f28924671c5a1ab2886f2e86e8ae536783abecf
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Mon Mar 26 20:58:31 2012 +0000

    update app-import activators, independent from PESI now

diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/BerlinModelSources.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/BerlinModelSources.java
index 51c2cd80..a5166f59 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/BerlinModelSources.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/berlinModelImport/BerlinModelSources.java
@@ -20,6 +20,28 @@ public class BerlinModelSources {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(BerlinModelSources.class);
 	
+	
+
+	public static Source PESI3_euroMed(){
+		//	BerlinModel - Euro+Med
+		String dbms = Source.SQL_SERVER_2008;
+		String strServer = "PESIIMPORT3";
+		String strDB = "EuroPlusMed_01";
+		int port = 1433;
+		String userName = "pesiexport";
+		return  makeSource(dbms, strServer, strDB, port, userName, null);
+	}
+	
+	public static Source iopi(){
+		//	BerlinModel - Euro+Med
+		String dbms = Source.SQL_SERVER_2008;
+		String strServer = "BGBM17";
+		String strDB = "IOPIBM";
+		int port = 1433;
+		String userName = "WebUser";
+		return  makeSource(dbms, strServer, strDB, port, userName, null);
+	}
+	
 	public static Source euroMed(){
 		//	BerlinModel - Euro+Med
 		String dbms = Source.SQL_SERVER_2005;
@@ -30,6 +52,16 @@ public class BerlinModelSources {
 		return  makeSource(dbms, strServer, strDB, port, userName, null);
 	}
 	
+	public static Source mcl(){
+		//	BerlinModel - Euro+Med
+		String dbms = Source.SQL_SERVER_2008;
+		String strServer = "BGBM42";
+		String strDB = "MCL";
+		int port = 1433;
+		String userName = "WebUser";
+		return  makeSource(dbms, strServer, strDB, port, userName, null);
+	}
+	
 	public static Source Campanulaceae(){
 		//	BerlinModel - Campanulaceae
 		String dbms = Source.SQL_SERVER_2005;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/EuroMedActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/EuroMedActivator.java
index efaa8f99..a9a15360 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/EuroMedActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/EuroMedActivator.java
@@ -17,9 +17,9 @@ import java.util.UUID;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.api.application.ICdmApplicationConfiguration;
-import eu.etaxonomy.cdm.app.common.BerlinModelSources;
+import eu.etaxonomy.cdm.app.berlinModelImport.BerlinModelSources;
+import eu.etaxonomy.cdm.app.berlinModelImport.TreeCreator;
 import eu.etaxonomy.cdm.app.common.CdmDestinations;
-import eu.etaxonomy.cdm.app.common.TreeCreator;
 import eu.etaxonomy.cdm.database.DbSchemaValidation;
 import eu.etaxonomy.cdm.database.ICdmDataSource;
 import eu.etaxonomy.cdm.io.berlinModel.in.BerlinModelImportConfigurator;
@@ -28,7 +28,6 @@ import eu.etaxonomy.cdm.io.common.IImportConfigurator.CHECK;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator.DO_REFERENCES;
 import eu.etaxonomy.cdm.io.common.IImportConfigurator.EDITOR;
 import eu.etaxonomy.cdm.io.common.Source;
-import eu.etaxonomy.cdm.io.pesi.out.PesiTransformer;
 import eu.etaxonomy.cdm.model.common.ExtensionType;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.FeatureNode;
@@ -64,6 +63,9 @@ public class EuroMedActivator {
 	static final UUID classificationUuid = UUID.fromString("5e05ebc5-6075-45ff-81df-4cefafafa4a3");
 	static final boolean useSingleClassification = true;
 	
+	//from PESI-transformer
+	static UUID uuidSourceRefEuroMed = UUID.fromString("0603a84a-f024-4454-ab92-9e2ac0139126");
+	
 	static final UUID featureTreeUuid = UUID.fromString("eff345e7-0619-4ec3-955d-997c1fafffc3");
 	static final Object[] featureKeyList = new Integer[]{1, 31, 4, 98, 41}; 	
 	
@@ -185,7 +187,7 @@ public class EuroMedActivator {
 		config.setDoTypes(doTypes);
 		config.setDoNameFacts(doNameFacts);
 		config.setUseClassification(useClassification);
-		config.setSourceRefUuid(PesiTransformer.uuidSourceRefEuroMed);
+		config.setSourceRefUuid(uuidSourceRefEuroMed);
 		
 		config.setDoTaxa(doTaxa);
 		config.setDoRelTaxa(doRelTaxa);
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/IopiActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/IopiActivator.java
index d640d5ba..f7919b75 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/IopiActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/IopiActivator.java
@@ -15,7 +15,7 @@ import java.util.UUID;
 
 import org.apache.log4j.Logger;
 
-import eu.etaxonomy.cdm.app.common.BerlinModelSources;
+import eu.etaxonomy.cdm.app.berlinModelImport.BerlinModelSources;
 import eu.etaxonomy.cdm.app.common.CdmDestinations;
 import eu.etaxonomy.cdm.database.DatabaseTypeEnum;
 import eu.etaxonomy.cdm.database.DbSchemaValidation;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/MclActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/MclActivator.java
index 5baa484d..942efea7 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/MclActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/MclActivator.java
@@ -16,7 +16,7 @@ import java.util.UUID;
 
 import org.apache.log4j.Logger;
 
-import eu.etaxonomy.cdm.app.common.BerlinModelSources;
+import eu.etaxonomy.cdm.app.berlinModelImport.BerlinModelSources;
 import eu.etaxonomy.cdm.app.common.CdmDestinations;
 import eu.etaxonomy.cdm.database.DatabaseTypeEnum;
 import eu.etaxonomy.cdm.database.DbSchemaValidation;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/VibrantActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/VibrantActivator.java
index 0c1d7f62..f6752fd7 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/VibrantActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/vibrant/VibrantActivator.java
@@ -11,7 +11,7 @@ package eu.etaxonomy.cdm.app.vibrant;
 
 import org.apache.log4j.Logger;
 
-import eu.etaxonomy.cdm.app.common.BerlinModelSources;
+import eu.etaxonomy.cdm.app.berlinModelImport.BerlinModelSources;
 import eu.etaxonomy.cdm.app.common.CdmDestinations;
 import eu.etaxonomy.cdm.database.DatabaseTypeEnum;
 import eu.etaxonomy.cdm.database.DbSchemaValidation;