commit bdd76634315b43bc177456a42e06528b76149f0a
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Thu Feb 7 11:14:35 2019 +0100

    Rename vocabulary wizard

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/NewFeatureVocabularyWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/NewFeatureVocabularyWizard.java
new file mode 100644
index 000000000..09bfc64fc
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/NewFeatureVocabularyWizard.java
@@ -0,0 +1,52 @@
+/**
+* Copyright (C) 2014 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.newWizard;
+
+import eu.etaxonomy.cdm.api.service.IVocabularyService;
+import eu.etaxonomy.cdm.model.common.TermType;
+import eu.etaxonomy.cdm.model.common.TermVocabulary;
+import eu.etaxonomy.taxeditor.store.CdmStore;
+
+/**
+ * @author pplitzner
+ * @date 11.03.2014
+ *
+ */
+public class NewFeatureVocabularyWizard  extends AbstractNewEntityWizard<TermVocabulary> {
+
+    private VocabularyWizardPage vocabularyPage;
+
+    @Override
+    public void addPages() {
+        vocabularyPage = new VocabularyWizardPage(formFactory, getConversationHolder(), getEntity());
+        addPage(vocabularyPage);
+    }
+
+    @Override
+    protected TermVocabulary createNewEntity() {
+        return TermVocabulary.NewInstance(TermType.Feature);
+    }
+
+    @Override
+    protected void saveEntity() {
+       CdmStore.getService(IVocabularyService.class).merge(getEntity(),true);
+
+    }
+
+    @Override
+    public void setEntity(TermVocabulary entity) {
+        super.setEntity(entity);
+        vocabularyPage.getDetailElement().setEntity(entity);
+    }
+
+    @Override
+    protected String getEntityName() {
+        return "Vocabulary";
+    }
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/NewVocabularyWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/NewVocabularyWizard.java
deleted file mode 100644
index bda799f3b..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/NewVocabularyWizard.java
+++ /dev/null
@@ -1,52 +0,0 @@
-/**
-* Copyright (C) 2014 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-package eu.etaxonomy.taxeditor.newWizard;
-
-import eu.etaxonomy.cdm.api.service.IVocabularyService;
-import eu.etaxonomy.cdm.model.common.TermType;
-import eu.etaxonomy.cdm.model.common.TermVocabulary;
-import eu.etaxonomy.taxeditor.store.CdmStore;
-
-/**
- * @author pplitzner
- * @date 11.03.2014
- *
- */
-public class NewVocabularyWizard  extends AbstractNewEntityWizard<TermVocabulary> {
-
-    private VocabularyWizardPage vocabularyPage;
-
-    @Override
-    public void addPages() {
-        vocabularyPage = new VocabularyWizardPage(formFactory, getConversationHolder(), getEntity());
-        addPage(vocabularyPage);
-    }
-
-    @Override
-    protected TermVocabulary createNewEntity() {
-        return TermVocabulary.NewInstance(TermType.Feature);
-    }
-
-    @Override
-    protected void saveEntity() {
-       CdmStore.getService(IVocabularyService.class).merge(getEntity(),true);
-
-    }
-
-    @Override
-    public void setEntity(TermVocabulary entity) {
-        super.setEntity(entity);
-        vocabularyPage.getDetailElement().setEntity(entity);
-    }
-
-    @Override
-    protected String getEntityName() {
-        return "Vocabulary";
-    }
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TermVocabularySelectionDialog.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TermVocabularySelectionDialog.java
index 98b51c1f3..449a41d4d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TermVocabularySelectionDialog.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TermVocabularySelectionDialog.java
@@ -16,7 +16,7 @@ import org.eclipse.swt.widgets.Shell;
 import eu.etaxonomy.cdm.api.service.IVocabularyService;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;
-import eu.etaxonomy.taxeditor.newWizard.NewVocabularyWizard;
+import eu.etaxonomy.taxeditor.newWizard.NewFeatureVocabularyWizard;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
@@ -68,7 +68,7 @@ public class TermVocabularySelectionDialog extends
 
 	@Override
 	protected AbstractNewEntityWizard getNewEntityWizard(String parameter) {
-        return new NewVocabularyWizard();
+        return new NewFeatureVocabularyWizard();
 	}
 
 }